Cgu::MemFun::Functor1< Ret, Arg, T > Class Template Reference

`#include <mem_fun.h>`

Inheritance diagram for Cgu::MemFun::Functor1< Ret, Arg, T >:

## Public Member Functions

Ret | operator() (Arg arg) const
| Functor1 (T &obj_, Ret(T::*func_)(Arg))

## Constructor & Destructor Documentation

template<class Ret, class Arg, class T>

Cgu::MemFun::Functor1< Ret, Arg, T >::Functor1 | ( | T & | obj_,
|  | Ret(T::*)(Arg) | func_
| ) |  |

inline

## Member Function Documentation

template<class Ret, class Arg, class T>

Ret Cgu::MemFun::Functor1< Ret, Arg, T >::operator() | ( | Arg | arg) |  | const

inline

The documentation for this class was generated from the following file:

- mem_fun.h